// MyCtrl.cpp
//

#include "stdafx.h"
#include "Stage.h"
#include "maze.h"
#include "mainfrm.h"
#include "MyCtrl.h"

CMyCtrl::CMyCtrl(CMainFrame* pMainFrame)
{
	m_pMainFrame = pMainFrame;
}

// virtual
void CMyCtrl::OnUpdate(_3DINPUTSTATE& st, C3dFrame* pFrame)
{
	// get the velocity (we use Y axis for this)
	double v = st.dY / 2;

    // Get the current position
	C3dVector pos;
	pFrame->GetPosition(pos);

	// Get the current direction vector
    C3dVector dir, up;
    pFrame->GetDirection(dir, up);

	// Set the new direction
	// X and R both affect the direction
	double dr = -st.dX + -st.dR;
	C3dMatrix r;
	r.Rotate(0, dr * 3, 0);
	dir = r * dir;

	// Multiply the direction vector by the velocity to get the position delta
	C3dVector ds = dir * v;

	// Set the new position	and direction
	pos += ds;
	pFrame->SetPosition(pos);
	pFrame->SetDirection(dir);

	// See if we want to go bang yet
	if (st.dwButtons & 0x01) {
		m_pMainFrame->m_pBlast1->Explode();
	}
}

