// maze.h
//
// Various parts of the maze

typedef struct _WALLINFO {
	double x1;
	double z1;
	double x2;
	double z2;
	double h;
} WALLINFO;

class CFloor : public C3dShape
{
public:
	CFloor(double x1, double z1, double x2, double z2);


};

class CWall : public C3dShape
{
public:
	CWall(WALLINFO* pInfo);
	virtual ~CWall();

protected:
	static C3dTexture* s_pTex;
	static int s_iWallCount;
};

class CSoldier : public C3dSprite
{
public:
	CSoldier(C3dScene* pScene, double x, double z);
	void Update();

};

class CBlast : public C3dSprite
{
public:
	CBlast(C3dScene* pScene, double x, double z);
	void Explode();
	void Update();

};

